| Home | Libraries | People | FAQ | More

#### lowest_layer_type

A trait to determine the lowest layer type of a stack of stream layers.

##### Synopsis

Defined in header `<boost/beast/core/stream_traits.hpp>`

    template<
        class T>
    using lowest_layer_type = see-below;

##### Description

If `t.next_layer()` is well-defined for an object `t` of type `T`, then `lowest_layer_type<T>` will be an alias for `lowest_layer_type<decltype(t.next_layer())>`, otherwise it will be the type `std::remove_reference<T>`.

##### Parameters

Name | Description
--- | ---
`T` | The type to determine the lowest layer type of.

##### Return Value

The type of the lowest layer.

Convenience header `<boost/beast/core.hpp>`